Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class ElementNameIterator

    java.lang.Object
      org.dom4j.tree.FilterIterator
          org.dom4j.tree.ElementNameIterator

All Implemented Interfaces:
  Iterator

Deprecated. THIS CLASS WILL BE REMOVED IN dom4j-1.6 !!

public class ElementNameIterator
extends FilterIterator

`ElementNameIterator` is a filtering `Iterator`which filters out objects which do not implement the `Element`interface and are not of the correct element name.

Version:
  $Revision: 1.11 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.dom4j.tree.FilterIterator
`proxy`

Constructor Summary
`ElementNameIterator(Iterator proxy, String name)` Deprecated.

Method Summary
`protected boolean` | `matches(Object object)` Deprecated. DOCUMENT ME!

Methods inherited from class org.dom4j.tree.FilterIterator
`findNext, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementNameIterator

    public ElementNameIterator(Iterator proxy,
                               String name)

  Deprecated.

Method Detail

### matches

    protected boolean matches(Object object)

  Deprecated.
  DOCUMENT ME!

  Specified by:
    `matches` in class `FilterIterator`
  Parameters:
    `object` - DOCUMENT ME!
  Returns:
    true if the given element implements the `Element` interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.